// hypernios_tb.v

// Generated using ACDS version 16.0 211

`timescale 1 ps / 1 ps
module hypernios_tb (
	);

	wire    hypernios_inst_clk_bfm_clk_clk;     // hypernios_inst_clk_bfm:clk -> [hypernios_inst:clk_clk, hypernios_inst_rst_bfm:clk]
	wire    hypernios_inst_rst_bfm_reset_reset; // hypernios_inst_rst_bfm:reset -> hypernios_inst:rst_reset_n


  //--------------------------------------------------------------------		
  //Hyperbus signals
  //--------------------------------------------------------------------		
   tri       HB_RWDS;
   tri [7:0] HB_DQ;

   wire HB_CK;
   wire HB_CK_N;
   wire HB_CS1_N;
   wire HB_WP_N;

   pullup U2 (HB_RWDS  );

  //--------------------------------------------------------------------		
  //HyperRAM bfm model
  //--------------------------------------------------------------------		
     IS66WVH16M8ALL U_ISSI_HR128(
       .ck     (HB_CK     ),  
       .ckb    (HB_CK_N   ), 
       .psc    (1'b0      ), 
       .pscb   (1'b1      ), 
       .csb    (HB_CS1_N  ), 
       .dq     (HB_DQ[7:0]), 
       .rwds   (HB_RWDS   ),
       .resetb (1'b1)
    );

  //--------------------------------------------------------------------		
  //Qsys Top level system
  //--------------------------------------------------------------------		
	hypernios hypernios_inst (
		.clk_clk                          (hypernios_inst_clk_bfm_clk_clk),     // 
		.hyperbus_controller_top_HB_RSTn  (),                                   // 
		.hyperbus_controller_top_HB_CLK0  (HB_CK  ),                            // 
		.hyperbus_controller_top_HB_CLK0n (HB_CK_N),                            // 
		.hyperbus_controller_top_HB_CLK1  (),                                   // 
		.hyperbus_controller_top_HB_CLK1n (),                                   // 
		.hyperbus_controller_top_HB_CS0n  (),                                   // 
		.hyperbus_controller_top_HB_CS1n  (HB_CS1_N),                           // 
		.hyperbus_controller_top_HB_WPn   (HB_WP_N),                            // 
		.hyperbus_controller_top_HB_RWDS  (HB_RWDS),                            // 
		.hyperbus_controller_top_HB_dq    (HB_DQ),                              // 
		.hyperbus_controller_top_HB_RSTOn (1'b1),                               // 
		.hyperbus_controller_top_HB_INTn  (1'b1),                               // 
		.pio_0_external_connection_export (),                                   // 
		.pio_1_external_connection_export (),                                   // 
		.pio_2_external_connection_export (),                                   // 
		.rst_reset_n                      (hypernios_inst_rst_bfm_reset_reset)  // 
	);

  //--------------------------------------------------------------------		
  //Clock bfm (50 Mhz)
  //--------------------------------------------------------------------		
	altera_avalon_clock_source #(
		.CLOCK_RATE (50000000),
		.CLOCK_UNIT (1)
	) hypernios_inst_clk_bfm (
		.clk (hypernios_inst_clk_bfm_clk_clk)  // clk.clk
	);

  //--------------------------------------------------------------------		
  //Reset bfm
  //--------------------------------------------------------------------		
	altera_avalon_reset_source #(
		.ASSERT_HIGH_RESET    (0),
		.INITIAL_RESET_CYCLES (50)
	) hypernios_inst_rst_bfm (
		.reset (hypernios_inst_rst_bfm_reset_reset), // reset.reset_n
		.clk   (hypernios_inst_clk_bfm_clk_clk)      //   clk.clk
	);

endmodule
